
function round(value) {
    return Number(Math.round(value + 'e2') + 'e-2');
}

function c2d(value) {
    return parseFloat(value.toString().replace(',', '.'));
}

function d2c(value) {
    return value.toString().replace('.', ',');
}

function updateCenaNetto(e) {
    var index = e.name.replace('cn', '');
    
    e.form['cb' + index].value = d2c(round(c2d(e.value) * (1 + c2d(e.form['vat' + index].value) / 100)));
    e.form['wn' + index].value = d2c(round(c2d(c2d(e.value)) * c2d(e.form['il' + index].value)));
    e.form['wb' + index].value = d2c(round(c2d(e.form['cb' + index].value) * c2d(e.form['il' + index].value)));
    summarize(e.form);
}

function updateCenaBrutto(e) {
    var index = e.name.replace('cb', '');
    
    e.form['cn' + index].value = d2c(round(c2d(e.value) / (1 + c2d(e.form['vat' + index].value) / 100)));
    e.form['wn' + index].value = d2c(round(c2d(e.form['cn' + index].value) * c2d(e.form['il' + index].value)));
    e.form['wb' + index].value = d2c(round(c2d(e.form['cb' + index].value) * c2d(e.form['il' + index].value)));
    summarize(e.form);
}

function updateVAT(e) {
    var index = e.name.replace('vat', '');
    
    e.form['cb' + index].value = d2c(round(c2d(e.form['cn' + index].value) * (1 + e.value / 100)));
    e.form['wb' + index].value = d2c(round(c2d(e.form['cb' + index].value) * c2d(e.form['il' + index].value)));
    summarize(e.form);
}

function updateIlosc(e) {
    var index = e.name.replace('il', '');
    
    e.form['wn' + index].value = d2c(round(c2d(e.form['cn' + index].value) * e.value));
    e.form['wb' + index].value = d2c(round(c2d(e.form['cb' + index].value) * e.value));
    summarize(e.form);
}

function updateWartoscNetto(e) {
    var index = e.name.replace('wn', '');
    
    e.form['cn' + index].value = d2c(round(c2d(e.value) / c2d(e.form['il' + index].value)));
    e.form['cb' + index].value = d2c(round(c2d(e.form['cn' + index].value) * (1 + c2d(e.form['vat' + index].value) / 100)));
    e.form['wb' + index].value = d2c(round(c2d(e.form['cb' + index].value) * c2d(e.form['il' + index].value)));
    summarize(e.form);
}

function updateWartoscBrutto(e) {
    var index = e.name.replace('wb', '');
    
    e.form['cb' + index].value = d2c(round(c2d(e.value) / c2d(e.form['il' + index].value)));
    e.form['cn' + index].value = d2c(round(c2d(e.form['cb' + index].value) / (1 + c2d(e.form['vat' + index].value) / 100)));
    e.form['wn' + index].value = d2c(round(c2d(e.form['cn' + index].value) * c2d(e.form['il' + index].value)));
    summarize(e.form);
}

function summarize(f) {
    var rows = document.getElementById('Dane').getElementsByTagName('tbody')[0].getElementsByTagName('tr').length;
    var rn = 0;
    var rb = 0;
            
    for (var i = 1; i <= rows; i++) {
        rn += c2d(f['wn' + i].value);
        rb += c2d(f['wb' + i].value);
    }
    f.razemn.value = d2c(round(rn));
    f.razemb.value = d2c(round(rb));
}
